- [HTTP request](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#body.request_body)
- [Response body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/disable#try-it)

> [!WARNING]
> This item is deprecated!

Disables a service so that it can no longer be used with a project. This prevents unintended usage that may cause unexpected billing charges or security leaks.

It is not valid to call the disable method on a service that is not currently enabled. Callers will receive a `FAILED_PRECONDITION` status if the target service is not currently enabled.

Operation response type: `google.protobuf.Empty`

### HTTP request

`POST https://serviceusage.googleapis.com/v1beta1/{name=*/*/services/*}:disable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the consumer and service to disable the service on. The enable and disable methods currently only support projects. An example name would be: `projects/123/services/serviceusage.googleapis.com` where `123` is the project number (not project ID). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `serviceusage.services.disable` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-usage/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/service.management`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).